## tcl-unix-sockets 0.5

=== debian/changelog ===
tcl-unix-sockets (0.5-3) unstable; urgency=medium

  * Standards version 4.7.2 compliance
  * Now installing the library in the architecture specific directory
    as per Debian Tcl/Tk policy

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 27 Feb 2025 22:56:23 +0000

tcl-unix-sockets (0.5-2) unstable; urgency=medium

  * Add debian/clean to remove cruft left around by the build
    process in order to have clean reproducible build
  * Packaging again also to perform a source-only upload 

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 16 May 2024 15:08:29 +0000

tcl-unix-sockets (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1067753)

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 26 Mar 2024 14:53:46 +0000
