=== debian/control ===
Source: tcl-unix-sockets
Section: libs
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), tcl-dev
Standards-Version: 4.7.2
Homepage: https://github.com/cyanogilvie/unix_sockets

Package: tcl-unix-sockets
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.6
Description: Tcl interface to Unix Domain Sockets
 This package is an extension to the Tcl programming language enabling
 Tcl scripts to create and communicate through Unix Domain Sockets, a
 fundamental IPC method in the Unix environment. Tcl is a language with
 a long history of robustness and speed. Among many other one of the
 applications for the Tcl language is server-side development, being
 Tcl capable of asynchronous I/O and multithreading.
