=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%unix_sockets-$1.tar.gz%" \
https://github.com/cyanogilvie/unix_sockets/tags .*/v(\d+\.\d+)\.tar\.gz
